@import 'app';

@font-face {
    font-family: ErasMedium;
    src: url('../fonts/ErasMediumITC.ttf');
}

body {
    //font-family: ErasMedium;
}

/*
|--------------------------------------------------
|   Default
|--------------------------------------------------
*/

a {
    color: $yellow;

    &:hover {
        color: $yellow;
        text-decoration: none;
    }
}

.footer {
    display: none;

    @media screen and (max-width: 991px) {
        display: block;
        background: $gray;
        padding: 1rem;
        font-size: 1rem;
    
        .icon-menu {
            font-size: 1.3rem;
        }
    
        .footer-link {
            display: flex;
            flex-direction: row;
            justify-content: center;
    
            a {
                padding-left: 12px;
                padding-right: 12px;
            }
        }
    }
}

/*
|--------------------------------------------------
|   Grid
|--------------------------------------------------
*/

.grid {
    display: grid;
    grid-template-columns: auto auto auto auto;
    grid-template-rows: auto;
    height: 100vh;
    max-height: 100%;

    .grid-item {

        .gallery-item {
            height: 100%;

            img {
                object-fit: cover;
                height: 100%;
                width: 100%;
                border: 1px solid #8f8d8d;
            }
        }
        
    }

    @media (max-width: 991px) {
        height: auto;
        grid-template-columns: auto auto auto;
        grid-template-rows: auto auto auto;

        .gallery-hover {
            p {
                margin-top: 3px;
                font-size: .6rem !important;
            }
        }
    }
}

/*
|--------------------------------------------------
|   Sidebar
|--------------------------------------------------
*/

.sidebar {
    border-right: 1px solid $gray;
    padding: 0;
    height: 100vh;
    max-height: 100%;

    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: auto;

    .sidebar-header {
        background-color: $white;
        max-height: 163px;
    }

    .sidebar-body {
        background-color: $white;
        display: grid;
        grid-template-columns: 100%;
        grid-template-rows: auto;
        position: relative;

        .navbar-nav {
            flex-direction: row;
            justify-content: center;

            .nav-item {
                position: relative;
                padding-left: 1rem;
                padding-right: 1rem;
                
                .nav-link {
                    font-size: 1.3rem;
                    color: rgba($color: $dark, $alpha: .5);
                }
            }
        }
    }

    @media (max-width: 991px) {
        display: none;
    }
}

.logo {
    max-width: 163px;
}

.sidebar-menu {
    display: block;
    padding: 0;
    position: relative;
    z-index: 11;
    font-family: 'ErasMedium';

    .menu-item {

        &:hover > .dropdown-menu {
            display: block !important;
        }

        .item-link {
            display: block;
            text-align: right;
            font-size: 1.3rem;
            padding: .5rem 2rem;
            color: $dark;

            &:hover {
                text-decoration: none;
                color: var(--yellow);
            }
        }

        &.dropdown {

            .item-link::after {
                content: " +";
            }

            .dropdown-menu {
                background-color: $dark-alpha;
                transform: translate(100%,-20%);
                border-radius: 0;
                border: 0;
                top: 0;
                min-width: 480px;
    
                .dropdown-item {
                    color: $white;
                    font-size: 1rem;
                    padding: .6rem 1.5rem;
    
                    &:focus,
                    &:hover {
                        cursor: pointer;
                        background-color: transparent !important;
                        color: $yellow;
                    }
    
                }
            }
        }
    }
}

.icon-menu {
    a .fab,
    a .fas {
        font-size: 1.2rem;
    }
}

.sidebar-footer {
    background: $gray;
    width: 100%;
    position: relative;
    z-index: 15;

    .copyright {
        position: absolute;
        left: 24px;
        right: 24px;
        bottom: 7px;
        line-height: 1;

        small {
            font-size: .6rem !important;
        }
    }
}

/*
|--------------------------------------------------
|   Gallery
|--------------------------------------------------
*/

.gallery-item {
    position: relative;
    display: block;

    .gallery-hover {
        display: none;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: rgba($color: $yellow, $alpha: .7);
        color: $white;
        
        animation: fadeIn;
        animation-duration: .5s;

        p {
            font-size: 1.2rem;
        }
    }

    &:hover > .gallery-hover {
        display: flex;
    }

}

/*
|--------------------------------------------------
|   Modal
|--------------------------------------------------
*/

.close {
    position: absolute;
    top: 1rem;
    right: 1rem;
    float: none;
}

.black-modal {

    .close {
        z-index: 10;
        color: $white;
    }

    .modal-body {
        background-color: $dark;
    }

    .modal-photo {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .photo-desc {
        max-height: 400px;
        overflow-y: auto;
        color: $dark-text;
    }
}

#filter,
#shopping-cart {

    &.show .modal-dialog,
    .modal-dialog {
        width: 420px;
        position: absolute;
        margin: 0;
        top: 0;
        right: 0;
        bottom: 0;
        
        .modal-content {
            min-height: 100%;
            background: #F7FAFA;
            border-radius: 0;

            .modal-body {

                .table-zn__body {
                    max-height: 580px;
                    overflow-y: auto;
                }
            }
        }
    }
}

#shopping-cart {
    z-index: 95034;
    margin-top: 0 !important;

    @media screen and (max-width: 991px) {
        margin-top: 180px;        

        .modal-dialog {
            width: 100% !important;
        }
    }
}

#filter {
    margin-top: 134px;

    .modal-content {
        background-color: $white !important;
        border: none;
        border-radius: 1rem;
        box-shadow: 0 0 15px rgba($color: $dark, $alpha: .05);
        display: grid;
        grid-template-rows: auto 10%;

        .modal-body {
            max-height: 100%;
            padding-bottom: 3rem;
            //overflow-y: unset;

            form {
                height: 100%;
                margin-bottom: 60px;
                overflow-y: auto;
                overflow-x: hidden;
                max-height: 700px;
            }
        }
    }
    .modal-footer {
        background-color: $white;
        position: fixed;
        width: 100%;
        max-width: 420px;
        bottom: 0;
        z-index: 3;
    }

    @media screen and (max-width: 991px) {
        margin-top: 180px;        

        .modal-dialog {
            width: 100% !important;
            max-width: 100% !important;

            .modal-content {
                display: grid;
                grid-template-rows: auto 10%;

                .modal-body {
                    max-height: 100%;
        
                    form {
                        margin-bottom: 140px;
                    }
                }
    
                .modal-footer {
                    max-width: 100% !important;
                }
            }
        }
    }
}

/*
|--------------------------------------------------
|   Button
|--------------------------------------------------
*/

.btn {
    border-radius: none;
    font-weight: bold;
    font-family: 'ErasMedium';
}

.btn-warning {
    color: $white;

    &:focus,
    &:hover {
        color: $white;
        background-color: darken($yellow, 10%);
    }
}

.btn-outline-warning {
    &:hover {
        color: $white;
    }
}

/*
|--------------------------------------------------
|   Form
|--------------------------------------------------
*/

.form-control {
    &:focus {
        box-shadow: none;
    }
}

.form-control-lg {
    height: calc(2em + 1rem + 2px);
    padding: .5rem 1rem;
    font-size: .9rem;
}

.form-group {

    &.required {
        
        label::after {
            content: ' *';
            color: $red;
        }

    }

}

.icn {
    //background-image: url('images/oauth.png');
    background-repeat: no-repeat;
    width: 49px;
    height: 49px;
    border-radius: 100%;
    margin-right: .6rem;

    &.fb {
        background-position: 3%;
    }

    &.gl {
        background-position: 101%;
    }
}

.form-variant {

    input[type="checkbox"],
    input[type="radio"] {
        display: none;

        &:checked ~ {
            label {
                border-color: $yellow !important;
                box-shadow: 2px 2px 5px rgba($color: $dark, $alpha: .2);
            }

            .size {
                background-color: $yellow;
                color: $white;
            }
        }

        & ~ label {
            border-radius: 4px;
            position: relative;
            border: 1px solid rgba($color: $dark, $alpha: .15);
    
            &:hover {
                cursor: pointer;
            }
        }
    }

    .color {
        width: 30px;
        height: 30px;
    }

    .size {
        padding: 2px 4px;
        min-width: 30px;
        text-align: center;
    }
}

.qty {
    padding: 0;
    font-size: 1rem;
    font-weight: bold;
    max-width: 150px;
}


/*
|--------------------------------------------------
|   Accordion
|--------------------------------------------------
*/

.card-header {
    .btn:focus,
    .btn:active {
        box-shadow: none;
    }

    button .fa-minus {
        display: none;
    }

    button[aria-expanded="true"] {
        color: $yellow;

        .fa-plus {
            display: none;
        }

        .fa-minus {
            display: block;
        }
    }
}

/*
|--------------------------------------------------
|   Nav
|--------------------------------------------------
*/

.nav {
    border-bottom: 1px solid $gray;

    .nav-link {
        position: relative;
        padding: 1rem;
        font-size: 1rem;
        font-weight: bold;
        color: $dark;

        &:hover {
            color: $yellow;
        }

        &.active {
            color: $yellow;

            &::after {
                content: "";
                height: 3px;
                background: $yellow;
                position: absolute;
                bottom: -1px;
                right: 0;
                left: 0;
                right: 0;
    
                animation: fadeInUp;
                animation-duration: .8s;
            }
        }
    }
}

.nav-filter {
    font-size: 1rem;
    color: rgba($color: $black, $alpha: .6);

    a,
    .btn-link {
        color: $black;
    }

    @media screen and (max-width: 991px ) {
        font-size: .8rem;
    }
}

/*
|--------------------------------------------------
|   Navbar
|--------------------------------------------------
*/

.navbar {

    .navbar-brand {
        font-size: 1.5rem;
        color: $yellow !important;
    }

    .nav-item {
        position: relative;
    }

    .nav-link {
        font-size: 1.3rem;
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }

    @media (max-width: 991px) {
        position: fixed;
        background-color: $white;
        width: 100%;
        box-shadow: 1px 1px 5px rgba($color: #000000, $alpha: .08);
        z-index: 99;
        top: 0;

        &.navbar-mobile {
            display: flex !important;

            .navbar-nav {
                flex-direction: row !important;

                .dropdown.no-caret.show {
                    .dropdown-menu.show {
                        position: absolute !important;
                        transform: translateX(-35%);
                    }
                }
            }
    
            .navbar-collapse {
    
                .navbar-menu-link {
                    flex-direction: column !important;
    
                    .nav-item {
                        padding-top: 1rem;
                        padding-bottom: 1rem;
    
                        a {
                            font-size: .9rem !important;
                            color: $dark;
                        }
    
                        .dropdown-toggle-btn {
                            position: absolute;
                            right: 0;

                            &::after {
                                content: '\f067';
                                font-family: 'Font Awesome 5 Free';
                                font-weight: 900;
                            }
                        }

                        &.show {
                            .dropdown-toggle-btn::after {
                                content: '\f068' !important;
                            }
                        }
                    }
                }
            }
        }
    }

    &.navbar-mobile {
        display: none;
    }
}

.cart-count {
    position: absolute;
    top: 10px;
    right: 10px;
    background: $yellow;
    color: $white;
    padding: .2rem;
    border-radius: 20%;
    font-size: .5rem;
}

.no-caret .dropdown-toggle::after {
    display: none;
}


/*
|--------------------------------------------------
|   Product
|--------------------------------------------------
*/

.products {

    .product-item,
    .product-image,
    .product-info {
        display: flex;
        flex-direction: column;
    }

    .product-item {
        padding-top: 15px;
        padding-bottom: 15px;
        border-radius: 2px;
        border: 1px solid transparent;
        margin-bottom: 1rem;

        &:hover {
            border-color: $yellow;
            transition: border .3s ease-in-out;

            .product-image a {
                display: flex;
            }

            .product-info .action-button {
                opacity: 1;
            }
        }

        .product-image {
            width: 100%;
            position: relative;
            margin-bottom: 14px;
            
            img {
                width: 100%;
                object-fit: cover;
                object-position: center;
            }

            a {
                display: none;
                position: absolute;
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                background: rgba($color: $yellow, $alpha: .7);

                font-size: 1.3rem;
                color: $white;

                align-items: center;
                justify-content: center;
                flex-direction: column;

                animation: fadeIn;
                animation-duration: .5s;
            }
        }
        
        .product-info {
            height: 100%;

            .price-tag {
                font-size: 1.2rem;
            }

            .product-title {
                font-size: 1.1rem;
            }
    
            .action-button {
                display: flex;
                opacity: 0;
                margin-top: auto;
    
                .plus {
                    position: absolute;
                    top: 9px;
                    right: 9px;
                    line-height: 1;
                    width: .5rem;
                    background: $yellow;
                    color: $white;
                    font-size: .5rem;
                    border-radius: 5px;
                }
            }
        }
    }
}

.product-label {
    position: absolute;
    z-index: 10;
    right: 0;
    left: 0;
    top: 0;
    display: flex;
    width: 100%;
    
    .timer {
        display: flex;
        width: 100%;

        .timer-item {
            text-align: center;
            width: 100%;
            display: flex;
            flex-direction: column;
        }
    }

    .label-status {
        width: 100%;
        height: 70px;
        max-width: 70px;
        float: right;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
        z-index: 10;
        margin-left: auto;

        box-shadow: 0px 0px 5px rgba($color: $dark, $alpha: .2);
        background-color: $white;

        &.out-stock,
        &.coming-soon,
        &.pre-order {
            p {
                color: $white;
                font-weight: bold;
            }

            span {
                color: $dark;
                font-weight: bold;
                position: absolute;
                transform: rotate(45deg) translateY(13px);
            }

            
        }

        &.out-stock {
            &::before {
                border-top-color: $black !important;
            }
        }

        &.pre-order {
            &::before {
                border-top-color: $yellow !important;
            }
        }
        
        p {
            transform: rotate(45deg) translateY(-13px);
            font-size: .8rem;
            font-weight: bold;
            color: $white;
        }

        &::before {
            position: absolute; 
            content: "";
            border-top: 70px solid $red;
            border-left: 70px solid transparent;
        }

        &.new {
            &::before {
                border-top-color: $green;
            }
        }

        &.coming-soon,
        &.coming-soon {
            &::before {
                border-top-color: $blue !important;
            }
        }

        @media screen and (max-width: 767px) {
            height: 50px;
            max-width: 50px;

            &::before {
                border-top: 50px solid $red;
                border-left: 50px solid transparent;
            }

            p,
            span {
                font-size: .5rem;
            }

            p {
                transform: rotate(45deg) translateY(-10px) !important;
            }

            span {
                transform: rotate(45deg) translateY(10px) !important;
            }
        }
    }
}

.product-spectator {
    position: fixed;
    z-index: 1031;
    left: 5%;
    animation: spectator 10s ease-in-out;
    animation-delay: 5s;
    animation-direction: alternate;

    background-color: rgba($color: $yellow, $alpha: .8);
    color: $white;
    box-shadow: 2px 2px 5px rgba($color: $dark, $alpha: .05);

    .fa-bullhorn {
        position: absolute;
        top: -20px;
        left: -10px;
        background-color: #148BB2;
        padding: .7rem .6rem;
        border-radius: 50px;

        transform: rotate(-20deg);
    }
}

.show-product {
    .product-image {
        position: relative;
    }
}

@keyframes spectator {
    0% {
        bottom: -15%;
    }
    20% {
        bottom: 15%;
    }
    50% {
        bottom: 15%;
    }
    70% {
        bottom: -15%;
    }
    100% {
        bottom: -15%;
    }
}

/*
|--------------------------------------------------
|   Table
|--------------------------------------------------
*/

.table-zn {
    display: flex;
    flex-direction: column;

    &.table-zn-bordered {

        .table-zn__header {
            border-top: 1px solid $gray;
            border-bottom: 3px solid $gray;
        }

        .table-zn__footer {
            border-top: 3px solid $gray;
        }
    }

    .table-zn__header,
    .table-zn__row {
        display: flex;
        flex-direction: row;

        &> div {
            flex-basis: 0;
            flex-grow: 1;
            padding: 15px 10px;

            @media screen and (max-width: 767px) {
                flex-basis: unset;
            }
        }

        @media screen and (max-width: 767px) {
            align-items: center;
        }
    }

    .table-zn__header {
        font-weight: bold;
        font-size: 1rem;
        text-align: center;
    }

    .table-zn__body {

        .table-zn__row {
            border-bottom: 1px solid $gray;

            &:last-child {
                border-bottom: none;
            }

            @media screen and (max-width: 767px) {
                flex-wrap: wrap;
            }
        }

        .product-info {
            display: flex;

            .product-info__img {
                width: 80px;
                height: 80px;
                margin-right: 15px;

                @media screen and (max-width: 767px) {
                    width: 100px;
                    height: 100px;
                }
            }
        }
    }

    .table-zn__footer {
        position: sticky;
        bottom: 0;
        width: 100%;
        z-index: 30;
    }



}

.filter-cat {
    padding: 0 10px;
    overflow-x: auto;
    display: flex;
    align-items: center;
    
    a {
        border: 1px solid $gray;
        border-radius: 50px;
        margin: 0 2px;
        padding: 5px 10px;
        color: $dark-text;
        display: inline-block;
        white-space: nowrap;

        &:hover {
            color: $yellow;
        }

        &.active {
            background: $yellow;
            color: $white;
            border-color: $yellow;
        }

    }
}

/*
|--------------------------------------------------
|   Typography
|--------------------------------------------------
*/

.text-xs {
    font-size: .7rem;
}



@media (max-width: 1140px) {
    body {
        font-size: .7rem;
    }
    
    .logo {
        max-width: 100px;
    }

    .sidebar-item {
        margin-bottom: 1rem;
    }

    .sidebar-menu {

        .menu-item {
            
            .item-link {
                font-size: 1rem;
                //padding: .7rem 1rem;
            }

        }

    }

    .sidebar-footer {
        .input-group .input-group-append button {
            font-size: .5rem !important;
            height: 30px !important;
        }
    }
}

@media (min-width: 1145px) {
    .sidebar-item {
        margin-bottom: 4rem;
    }
}

@media (max-width: 991px) {

    main {
        padding-top: 96.22px;
    }

    .logo {
        max-width: 70px;
    }

    .sidebar-menu {

        .menu-item {
            
            .item-link {
                text-align: left;
            }

        }

    }

    .btn {
        font-size: .7rem;
    }

    .quickview {
        .modal-footer {
            display: flex;
            flex-wrap: nowrap;

            .btn {
                width: 100%;
            }
        }
    }
}

.carousel-product-images {
    .carousel-indicators {
        margin-left: 0;
        margin-right: 0;
        position: static;

        li {
            width: 70px;
            height: 70px;
            text-indent: unset;
            border-radius: 3px;
            margin-left: 5px;
            margin-right: 5px;
    
            &.active {
                img {
                    box-shadow: 2px 2px 5px rgba($color: $dark, $alpha: .1);
                }
            }
    
            @media screen and (max-width: 767px) {
                width: 50px;
                height: 50px;
            }
        }
    }
}

/*
|--------------------------------------------------
|   Pagination
|--------------------------------------------------
*/

.pagination {
    justify-content: center;
    margin-top: 2rem;
    margin-bottom: 2rem;

    .page-item {
        &.active {
            .page-link {
                background-color: transparent;
                color: $yellow;
                font-weight: bold;
            }
        }
        .page-link {
            border: 0;
            color: $dark;
        }
    }
}

/* Customize the label (the container) */
.form-group {
    .container {
        display: block;
        position: relative;
        padding-left: 35px;
        margin-bottom: 5px;
        cursor: pointer;
        font-size: 16px;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }
      
      /* Hide the browser's default checkbox */
      .container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
      }
      
      /* Create a custom checkbox */
      .checkmark {
        position: absolute;
        top: 2px;
        left: 0;
        height: 18px;
        width: 18px;
        background-color: #eee;
        border-radius: 4px;
      }
      
      /* On mouse-over, add a grey background color */
      .container:hover input ~ .checkmark {
        background-color: #ccc;
      }
      
      /* When the checkbox is checked, add a blue background */
      .container input:checked ~ .checkmark {
        background-color: $yellow;
      }
      
      /* Create the checkmark/indicator (hidden when not checked) */
      .checkmark:after {
        content: "";
        position: absolute;
        display: none;
      }
      
      /* Show the checkmark when checked */
      .container input:checked ~ .checkmark:after {
        display: block;
      }
      
      /* Style the checkmark/indicator */
      .container .checkmark:after {
        left: 6px;
        top: 3px;
        width: 5px;
        height: 10px;
        border: solid white;
        border-width: 0 2px 2px 0;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
      }
}

.float{
	position:fixed;
	width:60px;
	height:60px;
	bottom:40px;
	right:40px;
	background-color:#25d366;
	color:#FFF;
	border-radius:50px;
	text-align:center;
  font-size:30px;
	box-shadow: 2px 2px 3px #999;
  z-index:100;
  box-shadow: 2px 2px 3px #999;
  transition: all .3s ease-in-out;
  z-index:100;

  &:hover {
    color: $white;
    background-color: darken(#25d366,5%);
  }
}

.my-float{
	margin-top:16px;
}

.noUi-horizontal {
    height: 10px;
}

.noUi-connect {
    background-color: $yellow;
}

.noUi-horizontal .noUi-handle {
    width: 20px;
    height: 20px;
    border-radius: 50px;
    top: -7px;
    right: -10px;
}

.noUi-handle:before, .noUi-handle:after {
    display: none;
}

.no-wrap {
    flex-wrap: nowrap;
}

.img-popup-supersale {
    width: 100%;
    object-fit: cover;
    max-height: 400px;
    border-top-left-radius: $border-radius;
    border-bottom-left-radius: $border-radius;

    @media (max-width: 767px) {
        border-bottom-left-radius: 0;
        border-top-right-radius: $border-radius;
    }
}